.. role:: green FlexIPs ======= List all FlexIPs ---------------- **Type:** :guilabel:`GET` .. py:function:: https://cloud.syminet.com/api/v1/flexips Return a list of all FlexIPs. .. code-block:: shell :caption: Curl curl --request GET \ --url https://cloud.syminet.com/api/v1/flexips \ --header "authorization:bearer $API_TOKEN" .. code-block:: json :caption: Response { "data" : [ { "created" : "2025-02-06 17:19:36.925397", "ip" : "216.218.185.30", "ipv4_id" : 1540, "keepalived" : null, "region" : "SFO1", "vm_id" : 3247, "vmname" : "11test1-3247.com" }, { "created" : "2023-06-25 11:43:36.925397", "ip" : "216.218.244.198", "ipv4_id" : 1806, "keepalived" : null, "region" : "SFO1", "vm_id" : 3828, "vmname" : "11test1-newvm" } ] } Fetch a FlexIP -------------- **Type:** :guilabel:`GET` .. py:function:: https://cloud.syminet.com/api/v1/flexips/{IPV4_ID} Return details for a FlexIP. **Required URL Parameters:** IPV4_ID FlexIP ID to fetch. .. code-block:: shell :caption: Curl curl --request GET \ --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID \ --header "authorization:bearer $API_TOKEN" .. code-block:: json :caption: Response { "created" : "2025-02-06 17:19:36.925397", "ip" : "216.218.244.198", "ipv4_id" : 1806, "keepalived" : null, "region" : "SFO1", "vm_id" : 3828, "vmname" : "11test1-newvm" } Assign ------ **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/flexips/assign/{SLICE_ID} Assign a new FlexIP to ``SLICE_ID``, **Required URL Parameters:** SLICE_ID Slice ID to assign a *new* FlexIP to. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/flexips/assign/SLICE_ID \ --header "authorization:bearer $API_TOKEN" **Response:** :green:`202 OK` Reassign -------- **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/flexips/{IPV4_ID}/reassign/{SLICE_ID} Reassign FlexIP ``IPV4_ID`` to ``SLICE_ID``.. **Required URL Parameters:** IPV4_ID FlexIP ID to reassign. SLICE_ID Slice ID to reassign ``IPV4_ID`` to. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID/reassign/SLICE_ID \ --header "authorization:bearer $API_TOKEN" **Response:** :green:`202 OK` Unassign -------- **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/flexips/{IPV4_ID}/unassign Unassign FlexIP ``IPV4_ID``. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID/unassign \ --header "authorization:bearer $API_TOKEN" **Required URL Parameters:** IPV4_ID FlexIP ID to unassign. **Response:** :green:`202 OK` Delete ------ **Type:** :guilabel:`DELETE` .. py:function:: https://cloud.syminet.com/api/v1/flexips/{IPV4_ID}/delete Delete FlexIP ``IPV4_ID``. **Required URL Parameters:** IPV4_ID FlexIP ID to delete. .. code-block:: shell :caption: Curl curl --request DELETE \ --url https://cloud.syminet.com/api/v1/flexips/IPV4_ID/delete \ --header "authorization:bearer $API_TOKEN" **Response:** :green:`202 OK`